%define packname FactoMineR
%global packver 1.42

Name: R-%{packname}
Version: %{packver}
Release: 2.el9.lc
Summary: Multivariate Exploratory Data Analysis and Data Mining

Group: Applications/Engineering
License: GPLv2+
URL: http://cran.r-project.org/web/packages/car/index.html
Source0: http://cran.r-project.org/src/contrib/%{packname}_%{packver}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    R-devel tex(latex) R-ellipse R-scatterplot3d R-leaps R-car R-flashClust
BuildArch:        noarch
Requires:         R-core R-ellipse R-scatterplot3d R-leaps R-car R-flashClust

%define debug_package %{nil}

%description
R package:
Exploratory data analysis methods to summarize, visualize and describe datasets. The main principal component methods are available, those with the largest potential in terms of applications: principal component analysis (PCA) when variables are quantitative, correspondence analysis (CA) and multiple correspondence analysis (MCA) when variables are categorical, Multiple Factor Analysis when variables are structured in groups, etc. and hierarchical cluster analysis. F. Husson, S. Le and J. Pages (2017).

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_libdir}/R/library/R.css
cp -pr %{packname}/man %{buildroot}%{_libdir}/R/library/%{packname}

%check
#We have to use --no-install because we don't have all of the suggested
#dependencies
%{_bindir}/R CMD check --no-install %{packname}

%clean
rm -rf %{buildroot}

%post

%postun

%files
%defattr(-,root,root,-)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/CITATION
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/doc
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_libdir}/R/library/%{packname}/data

%changelog
* Thu May 1 2025 Stuart Raeburn <raeburn@loncapa.org> (1.42-2)
- Rebuild for R 4.5.0

* Fri Jun 21 2024 Stuart Raeburn <raeburn@loncapa.org> (1.42-1)
- Initial build for R 4.4.0
